# S30 - List shop's documents

Description

You must specify at least one of the following parameters: shop_ids, updated_since


Call Frequency

Recommended usage: At each display of a page that includes documents from a store (for example: during the KYC process)
Maximum usage: At each display of a page that includes documents from a store (for example: during the KYC process)

Endpoint: GET /api/shops/documents

## Query parameters:

  - `shop_ids` (string)
    A list of shop identifiers

  - `include_deleted` (boolean)
    True to include deleted documents, false to remove them

  - `updated_since` (string)
    Retrieve shop documents modified at or after this date. The time period cannot exceed 90 days

## Response 200 fields (application/json):

  - `shop_documents` (array, required)
    The document details

  - `shop_documents.date_deleted` (string)
    Document deleted date

  - `shop_documents.date_uploaded` (string)
    Document uploaded date

  - `shop_documents.file_name` (string, required)
    Document file name

  - `shop_documents.id` (integer, required)
    Document identifier

  - `shop_documents.shop_id` (integer, required)
    The id of the shop owning the document

  - `shop_documents.type` (string, required)
    Document type code

  - `total_count` (integer)
    Total number of documents


